## org.eclipse.m2m.atl.engine.asm.lib
Class ASMString

    java.lang.Object
      org.eclipse.m2m.atl.engine.asm.lib.ASMString

All Implemented Interfaces:
  LibExtension

    public class ASMString

extends java.lang.Object
implements LibExtension

Constructor Summary
`ASMString()`

Method Summary
`void` `apply(ExecEnv execEnv, java.util.Map options)` Apply the extension.
`static Operation` `createEvalSOTS()`
`static Operation` `createEvalSOTSBrackets()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASMString

    public ASMString()

Method Detail

### apply

    public void apply(ExecEnv execEnv,
                      java.util.Map options)

  Apply the extension.

  Specified by:
    `apply` in interface `LibExtension`
  Parameters:
    `execEnv` - the execution environment
    `options` - the options map
  See Also:
    `LibExtension.apply(org.eclipse.m2m.atl.engine.emfvm.lib.ExecEnv, java.util.Map)`

### createEvalSOTS

    public static Operation createEvalSOTS()

### createEvalSOTSBrackets

    public static Operation createEvalSOTSBrackets()

Copyright 2007 IBM Corporation and others. All Rights Reserved.